# Generated from:
#  ../SOURCES/tcltk-8.4.tar.gz
#  from http://archive.eso.org/cms/tools-documentation/eso-skycat-download
# Requires:
#  vi .rpmmacros
#     %_topdir /diskb/RPMBUILD
#
# Installation can be done by hand:
#    mkdir /opt/tcltk
#    cd /diskb/RPMBUILD/SOURCES
#    tar xzf tcltk-8.4.tar.gz 
#    cd tcltk-8.4 
# Fix two bugs:
#    vi Makefile (replace in line #53 where "configure" with "./configure" 
#    vi blt2.4/demos/scripts/page.tcl 
#     (replace first line: #!/usr/local/bin/tclsh with #!/usr/bin/env tclsh)
# Compile and install:
#    make prefix=/opt/tcltk
#    or
#    make   # Default prefix=/usr/local
#
# Notice: The RPM will install some /opt/tcltk/lib/*.sh with 
#         BUILD references to the installation directory (e.g. 
#         /diskb/RPMBUILD/SOURCES). These files will be used in the 
#         configuration and installation of Skycat and if this directory
#         exists but is un-readable (e.g. owned by root) it may causes
#         errors, which dissapear if you remove/move the SOURCES dir

# Define _prefix as /usr/local (default) or $TCLTK_ROOT if defined
# Disable debuginfo 
# Do not stript executables
%define _prefix  %(echo ${TCLTK_ROOT:-/usr/local})
%define debug_package %{nil}
#%define __os_install_post %{nil}

# Set __arch_install_post to nil to disable check-rpmbuild after install, 
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}

Summary: tcl+tk+tclx+itcl+BLT+tkimg for Skycat
Name: tcltk
Version: 8.4
Release: 2
License: BSD
Group: Development/Languages
URL: http://archive.eso.org/cms/tools-documentation/eso-skycat-download
Source: %{name}-%{version}.tar.gz
#Patch0: Makefile.patch
#Patch1: page.tcl.patch
#Patch2: bltTree.c.patch
#BuildArch: i386
Packager: Carlos Guirao
Provides: tcltk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Compilation for use in the installation of skycat 3.1.1:
tcl8.4.11, tk8.4.11, tclx8.4, itcl3.3, BLT2.4z, and tkimg1.3 

The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks.  When paired with
the Tk toolkit, Tcl provides the fastest and most powerful way to
create GUI applications that run on PCs, Unix, and the Macintosh.  Tcl
can also be used for a variety of web-related tasks and for creating
powerful command languages for applications.


%prep
%setup -q -n %name-%version
#%patch0 -p1 -b .orig
#%patch1 -p1 -b .orig
#%patch2 -p1 -b .orig

%build
rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS"
make prefix=%{buildroot}%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install

cd $RPM_BUILD_ROOT
mkdir -p etc/ld.so.conf.d etc/profile.d
echo "%{_prefix}/lib" > etc/ld.so.conf.d/tcltk.conf

echo 'if ! echo ${PATH} | /bin/grep -q %{_prefix}/bin ; then' >etc/profile.d/tcltk.sh
echo '	PATH=${PATH}:%{_prefix}/bin' >>etc/profile.d/tcltk.sh
echo '	MANPATH=$MANPATH:%{_prefix}/man' >> etc/profile.d/tcltk.sh
echo "fi" >> etc/profile.d/tcltk.sh

chmod 755 etc/profile.d/tcltk.sh
chmod 755 etc/ld.so.conf.d/tcltk.conf

%files

%defattr (-,root,root, -)
%{_prefix}
%doc %{_prefix}/man
%config /etc/ld.so.conf.d/tcltk.conf
%config /etc/profile.d/tcltk.sh

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Thu Jul 21 2010 Carlos Guirao <cguirao@eso.org> -
- Patches incorporated to tclkt-8.4.tar.gz to ease standard installation

* Thu Jul 14 2010 Carlos Guirao <cguirao@eso.org> -
- Fixed a bug for 64bits machines under blt24/src/bltTree.c

* Thu Jul 14 2010 Carlos Guirao <cguirao@eso.org> -
- First integration with SL53
